#!/usr/bin/python
import libvirt

Conn = libvirt.open( "qemu:///system" )

activeDomainsID = Conn.listDomainsID()
inactiveDomains = Conn.listDefinedDomains()
activeNet = Conn.listNetworks()
inactiveNet = Conn.listDefinedNetworks()

for domID in activeDomainsID:
	domain = Conn.lookupByID( domID )
	print domain.name()
	print domain.XMLDesc(0)

for domName in inactiveDomains:
	domain = Conn.lookupByName( domName )
	print domain.name()
	print domain.XMLDesc(0)

for netName in activeNet + inactiveNet:
	network = Conn.networkLookupByName( netName )
	print network.name()
	print network.XMLDesc(0)
